net.snowflake.client.ingest

## Class WatchTask

- java.lang.Object
- - net.snowflake.client.ingest.WatchTask

    public class WatchTask
    extends Object

Created by hyu on 10/18/16.

### Constructor Summary

Constructors
Constructor and Description
`WatchTask(String jwtToken, String fqTableName, org.apache.http.impl.client.CloseableHttpClient httpClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getActiveFilesCount()`
`Integer` `getActiveFilesCount(IngestHistoryResponse report)`
`Collection<String>` `getHistoryFilesIngested()`
`Collection<String>` `getHistoryFilesIngested(IngestHistoryResponse report)`
`int` `getHistoryReportResponse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WatchTask

    public WatchTask(String jwtToken,
                     String fqTableName,
                     org.apache.http.impl.client.CloseableHttpClient httpClient)

### Method Detail

#### getActiveFilesCount

    public Integer getActiveFilesCount()
                                throws URISyntaxException,
                                       IOException

Throws:
  `URISyntaxException`
  `IOException`

#### getActiveFilesCount

    public Integer getActiveFilesCount(IngestHistoryResponse report)
                                throws URISyntaxException,
                                       IOException

Throws:
  `URISyntaxException`
  `IOException`

#### getHistoryFilesIngested

    public Collection<String> getHistoryFilesIngested()
                                               throws URISyntaxException,
                                                      IOException

Throws:
  `URISyntaxException`
  `IOException`

#### getHistoryFilesIngested

    public Collection<String> getHistoryFilesIngested(IngestHistoryResponse report)
                                               throws URISyntaxException,
                                                      IOException

Throws:
  `URISyntaxException`
  `IOException`

#### getHistoryReportResponse

    public int getHistoryReportResponse()
                                 throws URISyntaxException,
                                        IOException

Throws:
  `URISyntaxException`
  `IOException`